%{?nodejs_find_provides_and_requires}

%global packagename fastfall
%global enable_tests 1

Name:		nodejs-fastfall
Version:	1.5.1
Release:	1%{?dist}
Summary:	call your callbacks in a waterfall, at speed

License:	MIT
URL:		https://github.com/mcollina/fastfall
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(reusify)
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
call your callbacks in a waterfall, at speed


%prep
%autosetup -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json fall.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 25 2017 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-1
- Initial packaging
